curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/sso/applications/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"application": {
"appEntitlementId": "<string>",
"appId": "<string>",
"assertionLifetime": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"disabled": true,
"displayName": "<string>",
"id": "<string>",
"oidc": {
"claimMappings": [
{
"claimName": "<string>",
"userAttributeMappingId": "<string>"
}
]
},
"saml": {
"acsUrls": [
"<string>"
],
"spEntityId": "<string>",
"attributeMappings": [
{
"name": "<string>",
"userAttributeMappingId": "<string>",
"friendlyName": "<string>"
}
],
"encryptAssertions": true,
"requireSignedAuthnRequests": true,
"signAssertions": true,
"signResponses": true,
"spEncryptionCertificate": "aSDinaTvuI8gbWludGxpZnk=",
"spSigningCertificates": [
"aSDinaTvuI8gbWludGxpZnk="
]
},
"sectorId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
},
"updateMask": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/sso/applications/{id}"
payload = {
"application": {
"appEntitlementId": "<string>",
"appId": "<string>",
"assertionLifetime": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"disabled": True,
"displayName": "<string>",
"id": "<string>",
"oidc": { "claimMappings": [
{
"claimName": "<string>",
"userAttributeMappingId": "<string>"
}
] },
"saml": {
"acsUrls": ["<string>"],
"spEntityId": "<string>",
"attributeMappings": [
{
"name": "<string>",
"userAttributeMappingId": "<string>",
"friendlyName": "<string>"
}
],
"encryptAssertions": True,
"requireSignedAuthnRequests": True,
"signAssertions": True,
"signResponses": True,
"spEncryptionCertificate": "aSDinaTvuI8gbWludGxpZnk=",
"spSigningCertificates": ["aSDinaTvuI8gbWludGxpZnk="]
},
"sectorId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
},
"updateMask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
application: {
appEntitlementId: '<string>',
appId: '<string>',
assertionLifetime: '<string>',
createdAt: '2023-11-07T05:31:56Z',
description: '<string>',
disabled: true,
displayName: '<string>',
id: '<string>',
oidc: {claimMappings: [{claimName: '<string>', userAttributeMappingId: '<string>'}]},
saml: {
acsUrls: ['<string>'],
spEntityId: '<string>',
attributeMappings: [
{name: '<string>', userAttributeMappingId: '<string>', friendlyName: '<string>'}
],
encryptAssertions: true,
requireSignedAuthnRequests: true,
signAssertions: true,
signResponses: true,
spEncryptionCertificate: 'aSDinaTvuI8gbWludGxpZnk=',
spSigningCertificates: ['aSDinaTvuI8gbWludGxpZnk=']
},
sectorId: '<string>',
updatedAt: '2023-11-07T05:31:56Z'
},
updateMask: '<string>'
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/sso/applications/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"application": {
"appEntitlementId": "<string>",
"appId": "<string>",
"assertionLifetime": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"disabled": true,
"displayName": "<string>",
"id": "<string>",
"oidc": {
"claimMappings": [
{
"claimName": "<string>",
"userAttributeMappingId": "<string>"
}
]
},
"saml": {
"acsUrls": [
"<string>"
],
"spEntityId": "<string>",
"attributeMappings": [
{
"name": "<string>",
"userAttributeMappingId": "<string>",
"friendlyName": "<string>"
}
],
"encryptAssertions": true,
"requireSignedAuthnRequests": true,
"signAssertions": true,
"signResponses": true,
"spEncryptionCertificate": "aSDinaTvuI8gbWludGxpZnk=",
"spSigningCertificates": [
"aSDinaTvuI8gbWludGxpZnk="
]
},
"sectorId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Update
Update changes an SSO application’s mutable display, lifetime, enablement, OIDC claim/signing settings, or SAML endpoint/signing/encryption settings. Protocol, subject type, sector, SAML entity ID, and NameID format remain immutable; requests that would change them are rejected.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The application in your catalog that owns this sign-in configuration. Its owners, entitlements, and access reviews govern who may sign in.
Unique identifier for this SSO application.
Body
SSOApplicationServiceUpdateRequest updates an SSO application.
SSOApplication is one application your users sign in to through ConductorOne.
This message contains a oneof named protocol. Only a single field of the following list may be set at a time:
- oidc
- saml
Show child attributes
Show child attributes
Response
SSOApplicationServiceUpdateResponse returns the updated SSO application.
SSOApplicationServiceUpdateResponse returns the updated SSO application.
SSOApplication is one application your users sign in to through ConductorOne.
This message contains a oneof named protocol. Only a single field of the following list may be set at a time:
- oidc
- saml
Show child attributes
Show child attributes
Was this page helpful?